Bug 1276161 - Review Request: perl-SQL-SplitStatement - Split any SQL code into atomic statements
Review Request: perl-SQL-SplitStatement - Split any SQL code into atomic stat...
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jitka Plesnikova
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-10-28 19:09 EDT by Emmanuel Seyman
Modified: 2015-11-10 04:30 EST (History)
2 users (show)

See Also:
Fixed In Version: perl-SQL-SplitStatement-1.00020-3.fc24
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-11-10 04:30:46 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
jplesnik: fedora‑review+


Attachments (Terms of Use)

  None (edit)
Description Emmanuel Seyman 2015-10-28 19:09:30 EDT
Spec URL: http://people.parinux.org/~seyman/fedora/perl-SQL-SplitStatement/perl-SQL-SplitStatement.spec
SRPM URL: http://people.parinux.org/~seyman/fedora/perl-SQL-SplitStatement/perl-SQL-SplitStatement-1.00020-2.fc22.src.rpm
Description:
This is a simple module which tries to split any SQL code, even including
non-standard extensions (for the details see the "SUPPORTED DBMSs" section
below), into the atomic statements it is composed of.

Fedora Account System Username: eseyman
Comment 1 Upstream Release Monitoring 2015-10-29 07:43:13 EDT
jplesnik's scratch build of perl-SQL-SplitStatement-1.00020-2.fc22.src.rpm for rawhide completed http://koji.fedoraproject.org/koji/taskinfo?taskID=11624840
Comment 2 Jitka Plesnikova 2015-10-29 08:58:01 EDT
Source file is ok
Summary is ok
License is ok
URL and Source0 are ok
All tests passed

$ rpm -qp --requires perl-SQL-SplitStatement-1.00020-2.fc24.noarch.rpm | sort | uniq -c
      1 /usr/bin/env
      1 perl(:MODULE_COMPAT_5.22.0)
      1 perl(Carp)
      1 perl(Class::Accessor::Fast)
      1 perl(Getopt::Long)
      1 perl(List::MoreUtils)
      1 perl(Pod::Usage)
      1 perl(Regexp::Common)
      1 perl(SQL::SplitStatement)
      1 perl(SQL::Tokenizer) >= 0.22
      1 perl(base)
      1 perl(constant)
      1 perl(strict)
      1 perl(warnings)
      1 rpmlib(CompressedFileNames) <= 3.0.4-1
      1 rpmlib(FileDigests) <= 4.6.0-1
      1 rpmlib(PayloadFilesHavePrefix) <= 4.0-1
      1 rpmlib(PayloadIsXz) <= 5.2-1
Binary requires are Ok.

$ rpm -qp --provides perl-SQL-SplitStatement-1.00020-2.fc24.noarch.rpm | sort | uniq -c
      1 perl(SQL::SplitStatement) = 1.00020
      1 perl-SQL-SplitStatement = 1.00020-2.fc24
Binary provides are Ok.

$ rpmlint perl-SQL-SplitStatement*
perl-SQL-SplitStatement.noarch: E: incorrect-fsf-address /usr/share/licenses/perl-SQL-SplitStatement/LICENSE
2 packages and 1 specfiles checked; 1 errors, 0 warnings.

Invalid address was reported to upstream.
Otherwise rpmlint is ok.

BuildRequires need to be updated
FIX: Please add BRs
* perl(base) - lib/SQL/SplitStatement.pm:10
* perl(File::Find) - SQL-SplitStatement-2.00020/t/00-compile.t:10
* perl(strict) - Makefile.PL and tests
* perl(warnings) - Makefile.PL and tests
* Add version constrain to perl(SQL::Tokenizer) >= 0.22

Description
TODO: this part of Description should be changed "(for the details see the 
      "SUPPORTED DBMSs" section below)", because the section is part of man
      page not Description

Please correct all 'FIX' issues and consider fixing 'TODO' item

Otherwise, the package looks good
Package APPROVED.
Comment 3 Emmanuel Seyman 2015-10-29 09:39:57 EDT
(In reply to Jitka Plesnikova from comment #2):
> 
> BuildRequires need to be updated
> FIX: Please add BRs

Done.

> TODO: this part of Description should be changed "(for the details see the 
>       "SUPPORTED DBMSs" section below)", because the section is part of man
>       page not Description

Indeed. Done.

> Please correct all 'FIX' issues and consider fixing 'TODO' item

Spec URL: http://people.parinux.org/~seyman/fedora/perl-SQL-SplitStatement/perl-SQL-SplitStatement.spec
SRPM URL: http://people.parinux.org/~seyman/fedora/perl-SQL-SplitStatement/perl-SQL-SplitStatement-1.00020-3.fc22.src.rpm

> Package APPROVED.

Thank you, Jikta. SCM request made.
Comment 4 Gwyn Ciesla 2015-10-29 13:35:12 EDT
This SCM request method has been deprecated. Please see https://fedoraproject.org/wiki/PackageDB_admin_requests.

Note You need to log in before you can comment on or make changes to this bug.